### Method

# Gtk.Image.set_from_resource

#### Declaration [src]

    void
    gtk_image_set_from_resource (
      GtkImage* image,
      const char* resource_path
    )

#### Description [src]

Sets a `GtkImage` to show a resource.

See `gtk_image_new_from_resource()` for details.

Sets property | `Gtk.Image:resource`

#### Parameters

`resource_path` | `const char*`
| a resource path or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string